name: content
uploadPath: ../media/content

meta:
    label: Inhalt
    muiIcon: web
    views:
        - type: table
          columns:
              - source: path
              - source: title
    tablist:
        activeTab: site
        tabs:
            - name: general
              label: Allgemein
              subFields:
                  - source: path
                  - source: title

            - name: lowerTeaser
              label: Unterer Teaser
              subFields:
                  - source: showTeaser
                  - source: teaserTitle
                  - source: teaserDescription
                  - source: teaserImages

            - name: upperTeaser
              label: Oberer Teaser
              subFields:
                  - source: teaser

            - name: site
              label: content
              subFields:
                  - source: row

            - name: meta
              label: Meta
              subFields:
                  - source: aktiv
                  - source: meta

imageFilter:
    xs:
        - fit: true
          height: 90
          width: 90
          resampling: lanczos
          quality: 60
    s:
        - fit: true
          height: 300
          width: 300
          resampling: lanczos
          quality: 60
    m:
        - fit: true
          height: 600
          width: 600
          resampling: lanczos
          quality: 60
    l:
        - fit: true
          height: 1240
          width: 1240
          resampling: lanczos
          quality: 60
    xl:
        - fit: true
          height: 2000
          width: 2000
          resampling: lanczos
          quality: 60

permissions:
    public:
        methods:
            get: true
            post: false
            put: false
            delete: false
    user:
        methods:
            get: true
            post: true
            put: true
            delete: true

projections:
    navigation:
        select:
            path: 1

fields:
    - type: string
      name: path
      meta:
          label: Pfad
          helperText: "Ein Pfad sollte mit einem / starten und ohne eins enden."

    - type: string
      name: title
      meta:
          label: Titel

    - name: showTeaser
      type: boolean
      meta:
          label: Anzeigen
          helperText: "Ist dies aktiviert, so wird der Teaser in der Startseite angezeigt."

    - type: object[]
      name: teaserImages
      meta:
          label: Bider
          addElementLabel: Bild Hinzufügen
          helperText: "Bei mehreren Bildern wird ein Slider eingefügt."
          dependsOn:
              eval: $parent.showTeaser
      subFields:
          - name: image
            type: file
            meta:
                label: Bild

    - type: string
      name: teaserTitle
      meta:
          label: Titel
          dependsOn:
              eval: $parent.showTeaser

    - type: string
      name: teaserDescription
      meta:
          label: Beschreibung
          dependsOn:
              eval: $parent.showTeaser
    - name: aktiv
      type: boolean
      meta:
          label:
              de: Aktiv
              en: active
          helperText:
              de: Wenn diese Einstellung aktiviert wurde, wird diese Seite angezeigt.
              en: If this setting is activated, this page will be displayed.

    - name: meta
      type: object
      meta:
          label:
              de: Metaangaben
              en: meta settings
      subFields:
          - name: datum
            type: date
            index: [single]
            meta:
                label: { de: "Datum", en: "date" }

          - name: autor
            type: string
            #   index: [text]
            meta:
                label:
                    de: Autor
                    en: author
          - name: titel
            type: string
            # index: [text]
            meta:
                label: { de: "Titel", en: "title" }

          - name: beschreibung
            type: string
            meta:
                label:
                    de: Meta-Beschreibung
                    en: description
          - name: keywords
            type: string
            meta:
                label:
                    de: Keywords
                    en: keywords
          - name: nichtSuchbar
            type: boolean
            meta:
                label:
                    de: nicht suchbar
                    en: not searchable
                helperText:
                    de: Wenn diese Einstellung aktiviert wurde, wird diese Seite über die interne Suche nicht gefunden, jedoch von Google indiziert.

    - name: teaser
      type: object
      meta:
          label: Teaser
          metaElements:
              - showTeaser
      subFields:
          - name: showTeaser
            type: boolean
            meta:
                label: Anzeigen
                helperText: "Ist dies aktiviert, so wird der Teaser in der Startseite angezeigt."

          - name: subTitle
            type: string
            meta:
                label: Untertitel
                helperText: "Dieser Untertitel wird in der Startseite angezeigt."

          - name: teaserTitle
            type: string
            meta:
                label: Titel
                helperText: "Dieser Titel wird in der Startseite angezeigt."

          - name: teaserDescription
            type: string
            meta:
                widget: richtext
                label: Beschreibung
                helperText: "Diese Beschreibung wird in der Startseite angezeigt."

    - !include fields/pagebuilder.yml
